--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 14/06/2021 21:51:14
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

--
-- Set default database
--
USE clinica2;

--
-- Drop table `productos`
--
DROP TABLE IF EXISTS productos;

--
-- Drop table `citas`
--
DROP TABLE IF EXISTS citas;

--
-- Drop table `mascotas`
--
DROP TABLE IF EXISTS mascotas;

--
-- Drop table `telefonos`
--
DROP TABLE IF EXISTS telefonos;

--
-- Drop table `veterinarios`
--
DROP TABLE IF EXISTS veterinarios;

--
-- Drop table `usuarios`
--
DROP TABLE IF EXISTS usuarios;

--
-- Drop table `referencia`
--
DROP TABLE IF EXISTS referencia;

--
-- Drop table `vacunas_animal`
--
DROP TABLE IF EXISTS vacunas_animal;

--
-- Drop table `vacunas`
--
DROP TABLE IF EXISTS vacunas;

--
-- Set default database
--
USE clinica2;

--
-- Create table `vacunas`
--
CREATE TABLE vacunas (
  identificador int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  n_dosis int(20) DEFAULT NULL,
  enfermedad_trata varchar(50) DEFAULT NULL,
  PRIMARY KEY (identificador)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `vacunas_animal`
--
CREATE TABLE vacunas_animal (
  ref_vacuna int(11) NOT NULL,
  ref_cita int(11) DEFAULT NULL,
  PRIMARY KEY (ref_vacuna)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE vacunas_animal
ADD CONSTRAINT fk_vacu_animal FOREIGN KEY (ref_vacuna)
REFERENCES vacunas (identificador);

--
-- Create table `referencia`
--
CREATE TABLE referencia (
  ref_vacuna_animal int(11) DEFAULT NULL,
  ref_animal int(11) NOT NULL,
  PRIMARY KEY (ref_animal)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE referencia
ADD CONSTRAINT fk_referencia_animal FOREIGN KEY (ref_animal)
REFERENCES vacunas_animal (ref_vacuna);

--
-- Create table `usuarios`
--
CREATE TABLE usuarios (
  id int(11) NOT NULL AUTO_INCREMENT,
  username varchar(50) NOT NULL,
  email varchar(80) NOT NULL,
  password varchar(250) NOT NULL,
  authKey varchar(250) NOT NULL,
  accessToken varchar(250) NOT NULL,
  activate tinyint(1) NOT NULL DEFAULT 1,
  verification_code varchar(250) NOT NULL,
  role int(11) NOT NULL DEFAULT 1,
  telefono varchar(20) DEFAULT NULL,
  dni varchar(9) DEFAULT NULL,
  nombre varchar(15) DEFAULT NULL,
  apellidos varchar(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `veterinarios`
--
CREATE TABLE veterinarios (
  Identificador int(11) NOT NULL AUTO_INCREMENT,
  DNI varchar(9) DEFAULT NULL,
  nombre varchar(15) DEFAULT NULL,
  apellidos varchar(20) DEFAULT NULL,
  hora_entrada time DEFAULT NULL,
  hora_salida time DEFAULT NULL,
  ref_usuario int(11) DEFAULT NULL,
  PRIMARY KEY (Identificador)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE veterinarios
ADD CONSTRAINT fk_vete_usuarios FOREIGN KEY (ref_usuario)
REFERENCES usuarios (id);

--
-- Create table `telefonos`
--
CREATE TABLE telefonos (
  ref_vet int(11) NOT NULL,
  telefono varchar(20) DEFAULT NULL,
  PRIMARY KEY (ref_vet)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_telefono_veterinarios` on table `telefonos`
--
ALTER TABLE telefonos
ADD UNIQUE INDEX uk_telefono_veterinarios (ref_vet, telefono);

--
-- Create foreign key
--
ALTER TABLE telefonos
ADD CONSTRAINT fk_telefonos_veterinarios FOREIGN KEY (ref_vet)
REFERENCES veterinarios (Identificador);

--
-- Create table `mascotas`
--
CREATE TABLE mascotas (
  identificador int(11) NOT NULL AUTO_INCREMENT,
  ref_cliente int(11) DEFAULT NULL,
  nombre varchar(15) DEFAULT NULL,
  sexo varchar(10) DEFAULT NULL,
  raza varchar(25) DEFAULT NULL,
  PRIMARY KEY (identificador),
  UNIQUE INDEX uk_mascotas_clientes (identificador, ref_cliente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE mascotas
ADD CONSTRAINT fk_mascota_cliente FOREIGN KEY (ref_cliente)
REFERENCES usuarios (id);

--
-- Create foreign key
--
ALTER TABLE mascotas
ADD CONSTRAINT fk_mascotas_clientes FOREIGN KEY (ref_cliente)
REFERENCES usuarios (id);

--
-- Create table `citas`
--
CREATE TABLE citas (
  identificador int(11) NOT NULL AUTO_INCREMENT,
  ref_mascota int(11) DEFAULT NULL,
  fecha_hora datetime DEFAULT NULL,
  Observaciones varchar(500) DEFAULT NULL,
  PRIMARY KEY (identificador)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE citas
ADD CONSTRAINT fk_citas_mascotas FOREIGN KEY (ref_mascota)
REFERENCES mascotas (identificador);

--
-- Create table `productos`
--
CREATE TABLE productos (
  identificador int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(15) DEFAULT NULL,
  tipo_producto varchar(30) DEFAULT NULL,
  precio int(255) DEFAULT NULL,
  marca varchar(50) DEFAULT NULL,
  PRIMARY KEY (identificador)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table vacunas
--
INSERT INTO vacunas VALUES
(1, 'Zpifer', 2, 'Enfermedad del moquillo');

-- 
-- Dumping data for table usuarios
--
INSERT INTO usuarios VALUES
(1, 'micaela', 'micaela.villalba166@gmail.com', 'fsbqobwqC.aMo', 'd93a59d50c434bc952e6d199feece9a9a013e67e78351c5bf093ec4d4279672c13101ffc10262db0a5e06104a88900a4c332394ab78408409326a3539171f719a5ee95fe5cf45d0517793abe903e5c3bfe57589f7d2dc3048db45bb8c6b24aa504dcaba1', '7cad70fc687df465b173cc7ada410125675c3b137b86dbe57434ae569f911071cfa5aa3865e96cc2c1cd0e1e322deb9f7246069e7d195ec3938f8dea4f49359afe6c3b564254ee8a8f840f70a626da5e5cbc54fc40a9f80dd49d5b6c69b65f95e114a358', 1, '', 1, NULL, NULL, NULL, NULL),
(2, 'admin', 'clinicahuellita@gmail.com', 'fsbqobwqC.aMo', '80c5b2ebd7c47cbdf8dfe57e72ca4ca495f150fcbc98f03de3059b7aac115f9ff4671a61f6d5a892056aafe9d2d10b6250688f6fe29c6d2ba6c864362ee786c55affac95463c5c7caeff826e070dedd2eb87dda2d1a090f903ec34e6d18eeb866ba5545c', 'b2b9554f6e4d1a2ea3b28e9ff74a2e786cb3d84f44308882b146182d224f4fdc83c2d7055bb948d661abf06ff2fab9b731ef594725dc5dfb27da106c9bdc56c003284a28683d7f453d3c12313e3cbb42d40adb2b1bb3615e07b47a4c61a2bca555a673a6', 1, '', 2, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table veterinarios
--
-- Table clinica2.veterinarios does not contain any data (it is empty)

-- 
-- Dumping data for table vacunas_animal
--
-- Table clinica2.vacunas_animal does not contain any data (it is empty)

-- 
-- Dumping data for table mascotas
--
INSERT INTO mascotas VALUES
(1, NULL, 'Toby', 'masculino', 'pitbull'),
(2, NULL, 'chocolate', 'femenino', 'Pastor aleman');

-- 
-- Dumping data for table telefonos
--
-- Table clinica2.telefonos does not contain any data (it is empty)

-- 
-- Dumping data for table referencia
--
-- Table clinica2.referencia does not contain any data (it is empty)

-- 
-- Dumping data for table productos
--
-- Table clinica2.productos does not contain any data (it is empty)

-- 
-- Dumping data for table citas
--
INSERT INTO citas VALUES
(1, NULL, '2021-06-18 19:35:00', 'No olvidar');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;